Index: trunk/language/fr_FR/admin.lang.php
===================================================================
--- trunk/language/fr_FR/admin.lang.php	(revision 8783)
+++ trunk/language/fr_FR/admin.lang.php	(revision 8803)
@@ -135,10 +135,10 @@
 $lang['Permission granted thanks to a group'] = "Accès autorisé grâce à l'appartenance aux groupes";
 $lang['Permission granted'] = "Accès autorisé";
-$lang['Photo informations updated'] = "Informations de l'image mises à jour";
+$lang['Photo informations updated'] = 'Informations de la photo mises à jour';
 $lang['Plugins'] = "Plugins";
 $lang['Position'] = "Position";
 $lang['Preferences'] = "Préférences";
 $lang['Properties'] = "Propriétés";
-$lang['Random photo'] = "Image au hasard";
+$lang['Random photo'] = 'Photo au hasard';
 $lang['Rate date'] = "Date de notation";
 $lang['Rating by guests'] = "Notation par les invités";
@@ -152,5 +152,5 @@
 $lang['Save to permalink history'] = "Sauvegarder dans l'historique des liens permanents";
 $lang['Select at least one album'] = 'Sélectionner au moins un album';
-$lang['Select at least one photo'] = "Sélectionner au moins une image";
+$lang['Select at least one photo'] = "Sélectionner au moins une photo";
 $lang['Select at least one user'] = "Sélectionner au moins un utilisateur";
 $lang['Show info'] = "Montrer les informations";
@@ -166,5 +166,5 @@
 $lang['Unable to check for upgrade.'] = "Impossible de connaître la dernière version.";
 $lang['Uninstall'] = "Désinstaller";
-$lang['Use the default photo sort order (defined in the configuration file)'] = "Utiliser l'ordre de tri des images par défaut (défini dans le fichier de configuration)";
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'Utiliser l\'ordre de tri des photos par défaut (défini dans le fichier de configuration)';
 $lang['User comments validation'] = "Validation des commentaires d'utilisateurs";
 $lang['Users'] = "Utilisateurs";
@@ -209,9 +209,9 @@
 $lang['edit album permissions'] = 'Modifier les permissions de l\'album';
 $lang['Album updated successfully'] = 'Les informations de l\'album ont été mises à jour avec succès.';
-$lang['photos per page'] = "Nombre d'éléments par page à afficher";
+$lang['photos per page'] = "photos par page";
 $lang['High definition enabled'] = "Haute définition actif";
 $lang['File'] = "Fichier";
 $lang['Filesize'] = "Poids";
-$lang['first photo added on %s'] = "premier élément ajouté le %s";
+$lang['first photo added on %s'] = "première photo ajoutée le %s";
 $lang['Forbidden'] = "Interdits";
 $lang['global mode'] = "Mode global";
@@ -224,9 +224,9 @@
 $lang['High definition'] = "Haute définition";
 $lang['jump to album'] = 'Se rendre dans l\'album';
-$lang['jump to photo'] = "Se rendre à l'image";
+$lang['jump to photo'] = 'Voir la photo';
 $lang['leave'] = "laisser";
 $lang['Lock'] = "Verrouiller";
 $lang['Locked'] = "Verrouillées";
-$lang['manage album photos'] = 'Gérer les éléments de l\'album';
+$lang['manage album photos'] = 'Gérer les photos de l\'album';
 $lang['manage sub-albums'] = 'Gérer les sous-albums';
 $lang['Manage'] = "Gérer";
@@ -245,5 +245,5 @@
 $lang['Go to'] = "Rendez-vous sur";
 $lang['Hello'] = "Bonjour";
-$lang['New photos were added'] = "De nouveaux éléments ont été ajoutés";
+$lang['New photos were added'] = 'De nouvelles photos ont été ajoutées';
 $lang['on'] = "le";
 $lang['between'] = "entre le";
@@ -271,5 +271,5 @@
 $lang['Anyway only webmasters can see this tab and never administrators.'] = "Seul le webmaster a accès à cet onglet, pas les administrateurs.";
 $lang['No user to send notifications by mail.'] = "Pas d'utilisateur pour envoyer des notifications par mails.";
-$lang['New photos added'] = "Nouveaux éléments ajoutés";
+$lang['New photos added'] = 'Nouvelles photos ajoutées';
 $lang['Subscribe to notification by mail'] = "Inscription à la notification par mail";
 $lang['Unsubscribe from notification by mail'] = "Désinscription à la notification par mail";
@@ -349,14 +349,14 @@
 $lang['Group management'] = "Gestion des groupes";
 $lang['User list'] = "Liste des utilisateurs";
-$lang['Edit photo information'] = "Modifier les informations d'une image";
+$lang['Edit photo information'] = 'Modifier les informations de cette photo';
 $lang['Thumbnail creation'] = "Création des miniatures";
 $lang['Database synchronization with files'] = "Synchronisation de la base à partir des fichiers de";
 $lang['all'] = "Tout";
-$lang['photos without thumbnail (jpeg and png only)'] = "images sans miniature (jpeg et png uniquement)";
+$lang['photos without thumbnail (jpeg and png only)'] = 'photos sans miniature (jpeg et png uniquement)';
 $lang['height must be a number superior to'] = "la hauteur doit un entier supérieur à";
 $lang['width must be a number superior to'] = "la largeur doit être un entier supérieur à";
 $lang['for the file format'] = "pour le format de fichier";
 $lang['No missing thumbnail'] = "Aucune miniature ne manque";
-$lang['Photo unreachable or no support'] = "Image inaccessible ou format non supporté";
+$lang['Photo unreachable or no support'] = 'Photo inaccessible ou format non supporté';
 $lang['GD version'] = "version de GD";
 $lang['Miniaturization parameters'] = "Paramètre de miniaturisation";
@@ -367,5 +367,5 @@
 $lang['average time'] = "temps moyen";
 $lang['min time'] = "temps minimal";
-$lang['number of miniaturized photos'] = "nombre de miniatures créées";
+$lang['number of miniaturized photos'] = 'nombre de miniatures créées';
 $lang['total time'] = "temps total";
 $lang['for this file format'] = "pour ce format de fichier";
@@ -374,9 +374,9 @@
 $lang['unset'] = "vider";
 $lang['Update albums informations'] = 'Mettre à jour les informations des albums';
-$lang['Update photos information'] = "Mettre à jour les informations des images";
+$lang['Update photos information'] = 'Mettre à jour les informations des photos';
 $lang['Synchronize'] = "Synchroniser";
 $lang['reduce to single existing albums'] = 'Traiter uniquement un album';
 $lang['Choose an option'] = "Choisir une option";
-$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'Afficher un maximum d\'informations (albums ajoutés, photos ajoutées, albums et photos supprimées)';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'Afficher un maximum d\'informations (albums ajoutés, photos ajoutées, albums et photos supprimés)';
 $lang['Piwigo version differs on the remote site'] = "La version Piwigo sur le site distant est différente";
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = "Les version de create_listing_file.php sur le site distant et Piwigo doivent être les mêmes";
@@ -391,11 +391,11 @@
 $lang['missing thumbnail'] = "miniature manquante";
 $lang['albums deleted in the database'] = 'albums supprimés de la base de données';
-$lang['photos deleted from the database'] = "éléments supprimés de la base de données";
-$lang['photos candidates for metadata synchronization'] = "images candidates à la synchronisation avec les méta-données";
-$lang['photos informations synchronized with files metadata'] = "informations des images synchronisées avec les méta-données";
+$lang['photos deleted from the database'] = "photos supprimées de la base de données";
+$lang['photos candidates for metadata synchronization'] = 'photos candidates à la synchronisation avec les méta-données';
+$lang['photos informations synchronized with files metadata'] = 'informations des photos synchronisées avec les méta-données';
 $lang['errors during synchronization'] = "erreurs survenues durant la synchronisation";
 $lang['albums added in the database'] = 'albums ajoutés dans la base de données';
-$lang['photos added in the database'] = "éléments ajoutés dans la base de données";
-$lang['photos updated in the database'] = "éléments mis à jour dans la base de données";
+$lang['photos added in the database'] = "photos ajoutées dans la base de données";
+$lang['photos updated in the database'] = "photos mises à jour dans la base de données";
 $lang['Search for new images in the directories'] = "Chercher les nouvelles images dans les répertoires";
 $lang['added'] = "ajouté";
@@ -407,6 +407,6 @@
 $lang['only directories'] = "Répertoires uniquement";
 $lang['synchronize files structure with database'] = "Synchroniser la structure des fichiers avec la base de données";
-$lang['synchronize files metadata with database photos informations'] = "Synchroniser les informations des éléments de la base de données à partir des méta-données des fichiers";
-$lang['even already synchronized photos'] = "Même les éléments déjà synchronisés";
+$lang['synchronize files metadata with database photos informations'] = 'Synchroniser les informations des photos de la base de données à partir des méta-données des fichiers';
+$lang['even already synchronized photos'] = "Même les photos déjà synchronisées";
 $lang['Used metadata'] = "Méta-données employées";
 $lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = "Le nom des répertoires et des fichiers ne doit être constitué que de lettres, de chiffres, de \"-\", \"_\" et \".\"";
@@ -490,5 +490,5 @@
 $lang['User "%s" created with "%s" like password'] = "Utilisateur \"%s\" créé avec le mot de passe \"%s\"";
 $lang['Status of user "%s" updated'] = "Statut de l'utilisateur \"%s\" mis à jour";
-$lang['add new photos to caddie'] = "Ajouter les nouveaux éléments au panier";
+$lang['add new photos to caddie'] = "Ajouter les nouvelles photos au panier";
 $lang['No display'] = "Pas d'affichage";
 $lang['Classic display'] = "Affichage classique";
@@ -569,8 +569,8 @@
 $lang['nothing'] = "Rien";
 $lang['overrides existing values with empty ones'] = "Ecraser les données existantes avec des données vides";
-$lang['manage photo ranks'] = "gérer l'ordre des images";
-$lang['Manage photo ranks'] = "Gérer l'ordre des images";
+$lang['manage photo ranks'] = "gérer l'ordre des photos";
+$lang['Manage photo ranks'] = 'Gérer l\'ordre des photos';
 $lang['Edit ranks'] = "Modifier l'ordre";
-$lang['No photo in this album'] = 'Aucun élément dans cet album';
+$lang['No photo in this album'] = 'Aucune photo dans cet album';
 $lang['Images manual order was saved'] = "L'ordre manuel des images a été sauvegardé";
 $lang['ranks'] = "rangs";