Index: trunk/language/de_DE/common.lang.php
===================================================================
--- trunk/language/de_DE/common.lang.php	(revision 8803)
+++ trunk/language/de_DE/common.lang.php	(revision 8805)
@@ -45,16 +45,16 @@
 $lang['%d new user'] = '%d neuer Benutzer';
 $lang['%d new users'] = '%d neue Benutzer';
-$lang['About'] = 'Ã¼ber uns';
+$lang['About'] = 'über uns';
 $lang['All tags'] = 'Alle Tags';
 $lang['Any tag'] = 'Beliebigen Tag';
-$lang['At least one listed rule must be satisfied.'] = 'Mindestens eine aufgelistete Regel muss Ã¼bereinstimmen.';
-$lang['At least one tag must match'] = 'Mindestens ein Tag muss Ã¼bereinstimmen';
+$lang['At least one listed rule must be satisfied.'] = 'Mindestens eine aufgelistete Regel muss übereinstimmen.';
+$lang['At least one tag must match'] = 'Mindestens ein Tag muss übereinstimmen';
 $lang['Author'] = 'Autor';
 $lang['Average rate'] = 'Durchschnittliche Bewertung';
 $lang['Albums'] = 'Alben';
 $lang['Album'] = 'Album';
-$lang['Close this window'] = 'Dieses Fenster schlieÃen';
+$lang['Close this window'] = 'Dieses Fenster schließen';
 $lang['Complete RSS feed (photos, comments)'] = 'Vollständiger RSS feed (Fotos, Kommentare)';
-$lang['Confirm Password'] = 'Neues Passwort bestÃ¤tigen';
+$lang['Confirm Password'] = 'Neues Passwort bestätigen';
 $lang['Connection settings'] = 'Login-Einstellungen';
 $lang['Login'] = 'Anmeldung';
@@ -66,12 +66,12 @@
 $lang['Dimensions'] = 'Abmessungen';
 $lang['Display'] = 'Anzeige';
-$lang['Each listed rule must be satisfied.'] = 'Jede aufgelistete Regel muss erfÃ¼llt sein';
+$lang['Each listed rule must be satisfied.'] = 'Jede aufgelistete Regel muss erfüllt sein';
 $lang['Email address is missing. Please specify an email address.'] = 'Die E-Mail-Adresse fehlt';
 $lang['Email address'] = 'E-Mail-Adresse';
-$lang['Enter your personnal informations'] = 'Geben Sie Ihre persÃ¶nlichen Daten an';
+$lang['Enter your personnal informations'] = 'Geben Sie Ihre persönlichen Daten an';
 $lang['Error sending email'] = 'Fehler beim Senden der Mail';
 $lang['File name'] = 'Name der Datei';
 $lang['File'] = 'Datei';
-$lang['Filesize'] = 'DateigrÃ¶Ãe';
+$lang['Filesize'] = 'Dateigröße';
 $lang['Filter and display'] = 'Filtern und anzeigen';
 $lang['Filter'] = 'Filter';
@@ -85,5 +85,5 @@
 $lang['N/A'] = 'nicht vorhanden';
 $lang['New on %s'] = 'Neu am %s';
-$lang['New password confirmation does not correspond'] = 'Fehler bei der BestÃ¤tigung des Passwortes';
+$lang['New password confirmation does not correspond'] = 'Fehler bei der Bestätigung des Passwortes';
 $lang['New password sent by email'] = 'Neues Passwort per E-Mail zusenden';
 $lang['No email address'] = 'Keine E-Mail-Adresse';
@@ -91,5 +91,5 @@
 $lang['Notification'] = 'Rss-Feed';
 $lang['Number of items'] = 'Anzahl der Elemente';
-$lang['Original dimensions'] = 'UrsprÃ¼nglichen Abmessungen';
+$lang['Original dimensions'] = 'Ursprünglichen Abmessungen';
 $lang['Password forgotten'] = 'Passwort vergessen';
 $lang['Password'] = 'Passwort';
@@ -108,5 +108,5 @@
 $lang['Search tags'] = 'Tags suchen';
 $lang['Search'] = 'Suchen';
-$lang['display available tags'] = 'Alle verfÃ¼gbaren Tags';
+$lang['display available tags'] = 'Alle verfügbaren Tags';
 $lang['Send new password'] = 'Senden mir ein neues Passwort';
 $lang['Since'] = 'Seit';
@@ -122,6 +122,6 @@
 $lang['Webmaster'] = 'Webmaster';
 $lang['Week %d'] = 'Woche %d';
-$lang['About Piwigo'] = 'Ã¼ber Piwigo';
-$lang['You are not authorized to access the requested page'] = 'Sie sind nicht berechtigt die gewÃ¼nschte Seite aufzurufen';
+$lang['About Piwigo'] = 'über Piwigo';
+$lang['You are not authorized to access the requested page'] = 'Sie sind nicht berechtigt die gewünschte Seite aufzurufen';
 $lang['add to caddie'] = 'in den Sammelkorb';
 $lang['add this photo to your favorites'] = 'füge dieses Foto den Favoriten hinzu';
@@ -131,8 +131,8 @@
 $lang['author(s) : %s'] = 'Autor(en) : %s';
 $lang['Expand all albums'] = 'Alle Alben ausweiten';
-$lang['posted after %s (%s)'] = 'zur VerfÃ¼gung gestellt nachdem die %s (%s)';
-$lang['posted before %s (%s)'] = 'zur VerfÃ¼gung gestellt, bevor die %s (%s)';
-$lang['posted between %s (%s) and %s (%s)'] = 'zur VerfÃ¼gung gestellt von %s (%s) und das %s (%s)';
-$lang['posted on %s'] = 'zur VerfÃ¼gung gestellt am %s';
+$lang['posted after %s (%s)'] = 'zur Verfügung gestellt nachdem die %s (%s)';
+$lang['posted before %s (%s)'] = 'zur Verfügung gestellt, bevor die %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'zur Verfügung gestellt von %s (%s) und das %s (%s)';
+$lang['posted on %s'] = 'zur Verfügung gestellt am %s';
 $lang['Best rated'] = 'Am besten bewertet';
 $lang['display best rated photos'] = 'zeige die am besten bewerteten Fotos';
@@ -144,15 +144,15 @@
 $lang['chronology_monthly_calendar'] = 'Monatskalender';
 $lang['chronology_monthly_list'] = 'Monatliche Liste';
-$lang['chronology_weekly_list'] = 'WÃ¶chentlichen Liste';
+$lang['chronology_weekly_list'] = 'Wöchentlichen Liste';
 $lang['Click here if your browser does not automatically forward you'] = 'Klicken Sie hier, wenn Sie nicht durch ihren Browser weitergeleitet werden.';
 $lang['comment date'] = 'Datum des Kommentars';
 $lang['Comment'] = 'Kommentar';
 $lang['Your comment has been registered'] = 'Ihr Kommentar wurde gespeichert';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-Spam-Sperre, bitte warte eine Weile, bis du den nÃ¤chsten Kommentar abgibst';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-Spam-Sperre, bitte warte eine Weile, bis du den nächsten Kommentar abgibst';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Dein Kommentar wurde abgelehnt da er evtl. gesetzte Regeln verletzt';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Ein Administrator muss deinen Beitrag freischalten bevor er sichtbar wird.';
 $lang['This login is already used by another user'] = 'Dieser Benutzername ist bereits';
 $lang['Comments'] = 'Kommentare';
-$lang['Add a comment'] = 'Kommentar hinzufÃ¼gen';
+$lang['Add a comment'] = 'Kommentar hinzufügen';
 $lang['created after %s (%s)'] = 'erstellt nach dem %s (%s)';
 $lang['created before %s (%s)'] = 'erstellt vor dem %s (%s)';
@@ -168,7 +168,7 @@
 $lang['day'][5] = 'Freitag';
 $lang['day'][6] = 'Samstag';
-$lang['Default'] = 'StandardmÃ¤Ãig';
+$lang['Default'] = 'Standardmäßig';
 $lang['delete this photo from your favorites'] = 'lösche dieses Foto von den Favoriten';
-$lang['Delete'] = 'LÃ¶schen';
+$lang['Delete'] = 'Löschen';
 $lang['descending'] = 'absteigend';
 $lang['download'] = 'herunterladen';
@@ -181,9 +181,9 @@
 $lang['Favorites'] = 'Favoriten';
 $lang['First'] = 'Erste';
-$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Die Galerie ist gesperrt wegen Wartungsarbeiten. Bitte besuchen Sie uns spÃ¤ter wieder.';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Die Galerie ist gesperrt wegen Wartungsarbeiten. Bitte besuchen Sie uns später wieder.';
 $lang['Page generated in'] = 'Seite erstellt in';
 $lang['guest'] = 'Besucher';
 $lang['Hello'] = 'Hallo';
-$lang['available for administrators only'] = 'nur fÃ¼r Administratoren';
+$lang['available for administrators only'] = 'nur für Administratoren';
 $lang['display this album'] = 'zeige dieses Album';
 $lang['display last user comments'] = 'Zeige die letzten Kommentare Benutzer';
@@ -196,5 +196,5 @@
 $lang['in %d sub-albums'] = 'In den %d Sub-Alben';
 $lang['included'] = 'enthalten';
-$lang['Invalid password!'] = 'Passwort ungÃ¼ltig!';
+$lang['Invalid password!'] = 'Passwort ungültig!';
 $lang['Language'] = 'Sprache';
 $lang['last %d days'] = '%d lezte Tage';
@@ -204,10 +204,10 @@
 $lang['obligatory'] = 'obligatorisch';
 $lang['Maximum photo height'] = 'Maximale Foto Höhe';
-$lang['Maximum height must be a number superior to 50'] = 'Die maximale HÃ¶he der Bilder muss mehr als 50';
+$lang['Maximum height must be a number superior to 50'] = 'Die maximale Höhe der Bilder muss mehr als 50';
 $lang['Maximum photo width'] = 'Maximale Foto Breite';
 $lang['Maximum width must be a number superior to 50'] = 'Die Breite der Bilder muss mehr als 50';
 $lang['display a calendar by creation date'] = 'zeige einen Kalender nach Erstellungsdatum';
 $lang['display all photos in all sub-albums'] = 'zeige alle Fotos in allen Unteralben';
-$lang['return to normal view mode'] = 'ZurÃ¼ck zur normalen Ansicht';
+$lang['return to normal view mode'] = 'Zurück zur normalen Ansicht';
 $lang['display a calendar by posted date'] = 'zeige einen Kalender nach Einstellungsdatum';
 $lang['month'][10] = 'Oktober';
@@ -216,5 +216,5 @@
 $lang['month'][1] = 'Januar';
 $lang['month'][2] = 'Februar';
-$lang['month'][3] = 'MÃ¤rz';
+$lang['month'][3] = 'März';
 $lang['month'][4] = 'April';
 $lang['month'][5] = 'Mai';
@@ -223,5 +223,5 @@
 $lang['month'][8] = 'August';
 $lang['month'][9] = 'September';
-$lang['Most visited'] = 'Am hÃ¤ufigsten gesehen';
+$lang['Most visited'] = 'Am häufigsten gesehen';
 $lang['display most visited photos'] = 'zeige die meistbesuchten Fotos';
 $lang['The number of photos per row must be a not null scalar'] = 'Die Anzahl Fotos per Reihe darf nicht Null sein';
@@ -232,5 +232,5 @@
 $lang['New password'] = 'Neues Passwort';
 $lang['Rate this photo'] = 'Bewerte dieses Foto';
-$lang['Next'] = 'VorwÃ¤rts';
+$lang['Next'] = 'Vorwärts';
 $lang['no rate'] = 'noch keine Bewertung';
 $lang['Photos posted within the last %d day.'] = 'Fotos hochgeladen den letzen %d Tag.';
@@ -241,11 +241,11 @@
 $lang['Click on the photo to see it in high definition'] = 'Klicke auf das Foto um es in High Definition zu sehen';
 $lang['Show file metadata'] = 'Zeigen die Meta-Daten in der Datei';
-$lang['Powered by'] = 'UnterstÃ¼tzt von';
+$lang['Powered by'] = 'Unterstützt von';
 $lang['Preferences'] = 'Einstellungen';
-$lang['Previous'] = 'ZurÃ¼ck';
+$lang['Previous'] = 'Zurück';
 $lang['Random photos'] = 'Zufälliges Foto';
 $lang['display a set of random photos'] = 'zeige einen Satz von zufälligen Fotos';
 $lang['Recent albums'] = 'Neueste Alben';
-$lang['display recently updated albums'] = 'Zeigt kÃ¼rzlich aktualisierte Alben an';
+$lang['display recently updated albums'] = 'Zeigt kürzlich aktualisierte Alben an';
 $lang['Recent period'] = 'Wieviele Tage sollen Bilder als "neu" markiert werden?';
 $lang['Recent photos'] = 'Letzte Fotos';
@@ -254,5 +254,5 @@
 $lang['Please, enter a login'] = 'Bitte geben Sie einen Benutzernamen ein';
 $lang['login mustn\'t end with a space character'] = 'Benutzername darf nicht mit einem Leerzeichen enden';
-$lang['login mustn\'t start with a space character'] = 'Login dÃ¼rfen nicht mit einem Leerzeichen anfangen';
+$lang['login mustn\'t start with a space character'] = 'Login dürfen nicht mit einem Leerzeichen anfangen';
 $lang['this login is already used'] = 'Diesen Benutzername ist bereits vergeben';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-Mail-Adresse muss in der Form xxx@yyy.eee (Beispiel: jack@altern.org)';
@@ -268,7 +268,7 @@
 $lang['Kind of date'] = 'Datumstyp';
 $lang['Search for words'] = 'Suche nach Wort';
-$lang['Search for all terms'] = 'Suche alle WÃ¶rter';
-$lang['Search for any terms'] = 'WÃ¶rter suchen';
-$lang['Empty query. No criteria has been entered.'] = 'Abfrage leer. Kein Kriterium zur VerfÃ¼gung.';
+$lang['Search for all terms'] = 'Suche alle Wörter';
+$lang['Search for any terms'] = 'Wörter suchen';
+$lang['Empty query. No criteria has been entered.'] = 'Abfrage leer. Kein Kriterium zur Verfügung.';
 $lang['Search Options'] = 'Suchoptionen';
 $lang['Search results'] = 'Suchergebnisse';
@@ -276,5 +276,5 @@
 $lang['searched words : %s'] = 'Suchbegriffe : %s';
 $lang['Contact'] = 'Kontakt';
-$lang['set as album representative'] = 'Als reprÃ¤sentativer Album setzen';
+$lang['set as album representative'] = 'Als repräsentativer Album setzen';
 $lang['Show number of comments'] = 'Zeige die Anzahl der Kommentare';
 $lang['Show number of hits'] = 'Zeige die Anzahl der Bildaufrufe';
@@ -288,11 +288,11 @@
 $lang['Interface theme'] = 'Galerie-Layout';
 $lang['Thumbnails'] = 'Thumbnails';
-$lang['Menu'] = 'MenÃ¼';
+$lang['Menu'] = 'Menü';
 $lang['A comment on your site'] = 'Ein Kommentar auf der Website';
 $lang['today'] = 'heute';
 $lang['Update your rating'] = 'Aktualisieren Ihre Bewertung';
-$lang['wrong filename'] = 'ungÃ¼ltiger Verzeichnisname';
+$lang['wrong filename'] = 'ungültiger Verzeichnisname';
 $lang['the username must be given'] = 'Nutzername fehlt';
-$lang['useful when password forgotten'] = 'nÃ¼tzlich, wenn Sie ihr Passwort vergessen';
+$lang['useful when password forgotten'] = 'nützlich, wenn Sie ihr Passwort vergessen';
 $lang['Quick search'] = 'Schnellsuche';
 $lang['Connected user: %s'] = 'Connected Benutzer : %s';
@@ -311,8 +311,8 @@
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Status der Benutzer "guest" nicht entspricht, Verwendung des Standard. Bitte kontaktieren Sie den Webmaster.';
 // --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
-$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, Webmaster und spezieller Benutzer kÃ¶nnen nicht diese Methode verwenden';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, Webmaster und spezieller Benutzer können nicht diese Methode verwenden';
 $lang['this email address is already in use'] = 'Diese E-Mail-Adresse wird bereits verwendet';
-$lang['Album results for'] = 'Albumresultate fÃ¼r';
-$lang['Tag results for'] = 'Ergebnisse der Tag fÃ¼r';
+$lang['Album results for'] = 'Albumresultate für';
+$lang['Tag results for'] = 'Ergebnisse der Tag für';
 $lang['from %s to %s'] = 'von %s bis %s';
 $lang['Play of slideshow'] = 'Start der Diashow';
@@ -322,5 +322,5 @@
 $lang['Reduce diaporama speed'] = 'Diashow langsamer anzeigen';
 $lang['Accelerate diaporama speed'] = 'Diashow schneller anzeigen';
-$lang['Submit'] = 'BestÃ¤tigen';
+$lang['Submit'] = 'Bestätigen';
 $lang['Yes'] = 'Ja';
 $lang['No'] = 'Nein';
@@ -337,14 +337,14 @@
 $lang['show tag cloud'] = 'zeigen die Tag-Wolke';
 $lang['cloud'] = 'Wolke';
-$lang['Reset to default values'] = 'ZurÃ¼cksetzen auf Standardwerte';
+$lang['Reset to default values'] = 'Zurücksetzen auf Standardwerte';
 $lang['delete all photos from your favorites'] = 'lösche alle Fotos von der Favoritenliste';
 $lang['Sent by'] = 'Gesendet von';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
 $lang['Are you sure?'] = 'Sind Sie sicher?';
-$lang['delete this comment'] = 'Diesen Kommentar lÃ¶schen';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder nicht von ihrem Browser unterstÃ¼tzt. Sie mÃ¼ssen sie erlauben um sich zu verbinden.';
+$lang['delete this comment'] = 'Diesen Kommentar löschen';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies werden geblockt oder nicht von ihrem Browser unterstützt. Sie müssen sie erlauben um sich zu verbinden.';
 $lang['edit this comment'] = 'editiere diesen Kommentar';
 $lang['Edit a comment'] = 'Editiere einen Kommentar';
-$lang['(!) This comment requires validation'] = '(!) Dieser Kommentar sollte Ã¼berprÃ¼ft werden';
+$lang['(!) This comment requires validation'] = '(!) Dieser Kommentar sollte überprüft werden';
 $lang['Welcome'] = 'Willkommen';
 $lang['Welcome to your Piwigo photo gallery!'] = 'Willkommen in deiner Piwigo Fotogalerie!';
@@ -352,8 +352,8 @@
 $lang['... or please deactivate this message, I will find my way by myself'] = '... oder deaktiviere diese Nachricht, Ich finde mich selbst zurecht';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hallo %s, deine Piwigo Fotogalerie ist leer!';
-$lang['I want to add photos'] = 'Ich mÃ¶chte Fotos hinzufÃ¼gen';
+$lang['I want to add photos'] = 'Ich möchte Fotos hinzufügen';
 $lang['Manage this user comment: %s'] = 'Verwalte diesen Benutzerkommentar: %s';
-$lang['This author modified following comment:'] = 'Dieser Autor verÃ¤nderte folgenden Kommentar:';
-$lang['This author removed the comment with id %d'] = 'Dieser Autor lÃ¶schte den Kommentar mit der ID %d';
-$lang['validate this comment'] = 'Ã¼berprÃ¼fe diesen Kommentar';
+$lang['This author modified following comment:'] = 'Dieser Autor veränderte folgenden Kommentar:';
+$lang['This author removed the comment with id %d'] = 'Dieser Autor löschte den Kommentar mit der ID %d';
+$lang['validate this comment'] = 'überprüfe diesen Kommentar';
 ?>