Index: extensions/PWG_Stuffs/modules/piclenswall/main.inc.php
===================================================================
--- extensions/PWG_Stuffs/modules/piclenswall/main.inc.php	(revision 8720)
+++ extensions/PWG_Stuffs/modules/piclenswall/main.inc.php	(revision 8813)
@@ -45,4 +45,11 @@
   $block['NBLIGNE'] = (isset($obj->my_config['piclens_wall_nb_ligne']) ? @$obj->my_config['piclens_wall_nb_ligne'] : "3");
 
+  if (isset($obj->my_config['piclens_wall_showitemembed']))
+    $block['showitemembed'] = (@$obj->my_config['piclens_wall_showitemembed'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showlinkout']))
+    $block['showlinkout'] = (@$obj->my_config['piclens_wall_showlinkout'] ? "true" : "false");
+  if (isset($obj->my_config['piclens_wall_showclose']))
+    $block['showclose'] = (@$obj->my_config['piclens_wall_showclose'] ? "true" : "false");    
+  
   if (isset($obj->my_config['piclens_wall_showChrome']))
     $block['showChrome'] = (@$obj->my_config['piclens_wall_showChrome'] ? "true" : "false");
Index: extensions/PWG_Stuffs/theme/template/stuffs_piclenswall.tpl
===================================================================
--- extensions/PWG_Stuffs/theme/template/stuffs_piclenswall.tpl	(revision 8720)
+++ extensions/PWG_Stuffs/theme/template/stuffs_piclenswall.tpl	(revision 8813)
@@ -5,10 +5,13 @@
         <param name="showEmbed" value="{$block.SHOWEMBED}" />
         <param name="showSearch" value="{$block.SHOWSEARCH}" />
+        <param name="showItemEmbed" value="{$block.showitemembed}" />
+        <param name="showLinkOut" value="{$block.showlinkout}" />
+        <param name="showClose" value="{$block.showclose}" />
         <param name="allowScriptAccess" value="always" />
-        <param name="flashvars" value="feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}" />
+        <param name="flashvars" value="feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}{if isset($block.showitemembed)}&amp;showitemembed={$block.showitemembed}{/if}{if isset($block.showlinkout)}&amp;showlinkout={$block.showlinkout}{/if}{if isset($block.showclose)}&amp;showclose={$block.showclose}{/if}" />
         {if $block.TRANSPARENT}
         <param name="wmode" value="transparent" />
     {/if}
-        <embed {if $block.TRANSPARENT}WMODE="transparent" {/if}type="application/x-shockwave-flash" src="{$block.SWF_LINK}?feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}&amp;showEmbed={$block.SHOWEMBED}&amp;showFullScreen={$block.SHOWFULLSCREEN}&amp;showSearch={$block.SHOWSEARCH}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}" width="100%" height="{$block.PIC_HEIGHT}" showEmbed="{$block.SHOWEMBED}" showSearch="{$block.SHOWSEARCH}" allowFullScreen="{$block.SHOWFULLSCREEN}" allowScriptAccess="always"  style="{$block.COLOR}" numRows="{$block.NBLIGNE} {if isset($block.showChrome)}showChrome="{$block.showChrome}"{/if} {if isset($block.showDescription)}showDescription="{$block.showDescription}"{/if} {if isset($block.showReflections)}showReflections="{$block.showReflections}"{/if} {if isset($block.showTutorial)}showTutorial="{$block.showTutorial}"{/if} {if isset($block.showNavArrows)}showNavArrows="{$block.showNavArrows}"{/if} {if isset($block.backgroundAlpha)}backgroundAlpha="{$block.backgroundAlpha}"{/if} {if isset($block.backgroundColor)}backgroundColor="{$block.backgroundColor}"{/if} {if isset($block.glowColor)}glowColor="{$block.glowColor}"{/if} {if isset($block.descriptionHeight)}descriptionHeight="{$block.descriptionHeight}"{/if} {if isset($block.tilt)}tilt="{$block.tilt}"{/if} {if isset($block.backgroundImage)}backgroundImage="{$block.backgroundImage}"{/if} {if isset($block.tutorial)}tutorial="{$block.tutorial}"{/if} {if isset($block.customButton)}customButton="{$block.customButton}"{/if} {if isset($block.icons)}icons="{$block.icons}"{/if} {if isset($block.linkCSS)}linkCSS="{$block.linkCSS}"{/if}/>
+        <embed {if $block.TRANSPARENT}WMODE="transparent" {/if}type="application/x-shockwave-flash" src="{$block.SWF_LINK}?feed={$block.RSSFEED}&amp;style={$block.COLOR}&amp;numRows={$block.NBLIGNE}&amp;showEmbed={$block.SHOWEMBED}&amp;showFullScreen={$block.SHOWFULLSCREEN}&amp;showSearch={$block.SHOWSEARCH}{if isset($block.showChrome)}&amp;showChrome={$block.showChrome}{/if}{if isset($block.showDescription)}&amp;showDescription={$block.showDescription}{/if}{if isset($block.showReflections)}&amp;showReflections={$block.showReflections}{/if}{if isset($block.showTutorial)}&amp;showTutorial={$block.showTutorial}{/if}{if isset($block.showNavArrows)}&amp;showNavArrows={$block.showNavArrows}{/if}{if isset($block.backgroundAlpha)}&amp;backgroundAlpha={$block.backgroundAlpha}{/if}{if isset($block.backgroundColor)}&amp;backgroundColor={$block.backgroundColor}{/if}{if isset($block.glowColor)}&amp;glowColor={$block.glowColor}{/if}{if isset($block.descriptionHeight)}&amp;descriptionHeight={$block.descriptionHeight}{/if}{if isset($block.tilt)}&amp;tilt={$block.tilt}{/if}{if isset($block.backgroundImage)}&amp;backgroundImage={$block.backgroundImage}{/if}{if isset($block.tutorial)}&amp;tutorial={$block.tutorial}{/if}{if isset($block.customButton)}&amp;customButton={$block.customButton}{/if}{if isset($block.icons)}&amp;icons={$block.icons}{/if}{if isset($block.linkCSS)}&amp;linkCSS={$block.linkCSS}{/if}{if isset($block.showitemembed)}&amp;showitemembed={$block.showitemembed}{/if}{if isset($block.showlinkout)}&amp;showlinkout={$block.showlinkout}{/if}{if isset($block.showclose)}&amp;showclose={$block.showclose}{/if}" width="100%" height="{$block.PIC_HEIGHT}" showEmbed="{$block.SHOWEMBED}" showSearch="{$block.SHOWSEARCH}" allowFullScreen="{$block.SHOWFULLSCREEN}" allowScriptAccess="always"  style="{$block.COLOR}" numRows="{$block.NBLIGNE} {if isset($block.showChrome)}showChrome="{$block.showChrome}"{/if} {if isset($block.showDescription)}showDescription="{$block.showDescription}"{/if} {if isset($block.showReflections)}showReflections="{$block.showReflections}"{/if} {if isset($block.showTutorial)}showTutorial="{$block.showTutorial}"{/if} {if isset($block.showNavArrows)}showNavArrows="{$block.showNavArrows}"{/if} {if isset($block.backgroundAlpha)}backgroundAlpha="{$block.backgroundAlpha}"{/if} {if isset($block.backgroundColor)}backgroundColor="{$block.backgroundColor}"{/if} {if isset($block.glowColor)}glowColor="{$block.glowColor}"{/if} {if isset($block.descriptionHeight)}descriptionHeight="{$block.descriptionHeight}"{/if} {if isset($block.tilt)}tilt="{$block.tilt}"{/if} {if isset($block.backgroundImage)}backgroundImage="{$block.backgroundImage}"{/if} {if isset($block.tutorial)}tutorial="{$block.tutorial}"{/if} {if isset($block.customButton)}customButton="{$block.customButton}"{/if} {if isset($block.icons)}icons="{$block.icons}"{/if} {if isset($block.linkCSS)}linkCSS="{$block.linkCSS}"{/if}/>
 </object>
 {/if}