Index: /extensions/paMOOramics/language/en_UK/description.txt
===================================================================
--- /extensions/paMOOramics/language/en_UK/description.txt	(revision 8824)
+++ /extensions/paMOOramics/language/en_UK/description.txt	(revision 8824)
@@ -0,0 +1,1 @@
+Display panoramics images using pamoorama script by silvertab (powered by mootools)
Index: /extensions/paMOOramics/language/lv_LV/description.txt
===================================================================
--- /extensions/paMOOramics/language/lv_LV/description.txt	(revision 8824)
+++ /extensions/paMOOramics/language/lv_LV/description.txt	(revision 8824)
@@ -0,0 +1,1 @@
+Rāda panorāmveida attēlus, izmantojot silvertab pamoorama skriptu (mootools atbalsts)
Index: /extensions/paMOOramics/language/lv_LV/index.php
===================================================================
--- /extensions/paMOOramics/language/lv_LV/index.php	(revision 8824)
+++ /extensions/paMOOramics/language/lv_LV/index.php	(revision 8824)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/paMOOramics/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/paMOOramics/language/lv_LV/plugin.lang.php	(revision 8824)
+++ /extensions/paMOOramics/language/lv_LV/plugin.lang.php	(revision 8824)
@@ -0,0 +1,51 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+
+$lang['pamooramics_description'] = 'paMOOramics ļauj rādīt un ritināt jūsu Piwigo panorāmā pateicoties :';
+$lang['pamooramics_and'] = 'un';
+$lang['pamooramics_by'] = 'ar';
+$lang['pamooramics_admin_form_legend'] = 'paMOOramics Konfigurācija';
+$lang['pamooramics_use_name'] = 'Aktivēt paMOOramics pēc faila nosaukuma';
+$lang['pamooramics_name'] = 'Meklējamais teksts, lai rādītu attēlus panorāmas režīmā';
+$lang['pamooramics_use_ratio'] = 'Aktivēt paMOOramics pēc w/h attiecības';
+$lang['pamooramics_ratio'] = 'Minimālā attiecība (platums/augstums (w/h)), lai varētu rādīt attēlus panorāmas režīmā';
+$lang['pamooramics_width'] = 'Panorāmas loga platums';
+$lang['pamooramics_border_size'] = 'Panorāmas robežu izmērs';
+$lang['pamooramics_border_color'] = 'Panorāmas robežu krāsa';
+$lang['pamooramics_activateslider'] = 'Aktivēt ritināšanu, pārbraucot ar peli';
+$lang['pamooramics_footer_color'] = 'Izgriezuma fona krāsa';
+$lang['pamooramics_caption_color'] = 'Apraksta teksta krāsa';
+$lang['pamooramics_enable_autoscroll'] = 'Atļaut autoritināšanu';
+$lang['pamooramics_autoscroll_speed'] = 'Autoritināšanas ātrums';
+$lang['pamooramics_autoscroll_onload'] = 'Sākt autoritināšanu ielādējot';
+$lang['pamooramics_picture_high'] = 'Klikšķiniet šeit, lai skatītu augstas izšķirtspējas panorāmu';
+$lang['pamooramics_displayfooter'] = 'Nerādīt izgriezumu (caption)';
+$lang['pamooramics_Slideshow_displayfooter'] = 'Nerādīt izgriezumu slaidrādei';
+$lang['pamooramics_save_config'] = 'Saglabāt';
+$lang['pamooramics_startAutoscroll'] = 'Sākt autoritināšanu';
+$lang['pamooramics_stopAutoscroll'] = 'Beigt autoritināšanu';
+$lang['pamooramics_loading'] = 'Ielādējas ...';
+$lang['pamooramics_clickMessage'] = 'Klikšķināt, lai pārvietotu kadru !';
+$lang['pamooramics_dragMessage'] = 'Velc mani, lai pārvietotu panorāmu !';
+?>