Index: /extensions/PWG_Stuffs/language/no_NO/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/no_NO/plugin.lang.php	(revision 8824)
+++ /extensions/PWG_Stuffs/language/no_NO/plugin.lang.php	(revision 8825)
@@ -1,5 +1,93 @@
 <?php
 
+$lang['stuffs_mods_management'] = 'Modul behnadling';
+$lang['stuffs_add_mod'] = 'Legg til modul';
+$lang['stuffs_edit_mod'] = 'Rediger modul';
 
+$lang['stuffs_module_title'] = 'Modul tittel';
+$lang['stuffs_desc'] = 'Beskrivelse';
+$lang['stuffs_only_for_admin'] = '(kun for administrasjons panelet)';
+$lang['stuffs_type'] = 'Modul type';
+$lang['stuffs_position'] = 'Posisjon';
+$lang['stuffs_id_ligne'] = 'ID linje';
+$lang['stuffs_width'] = 'Bredde';
+$lang['stuffs_action'] = 'Gjøremål';
+$lang['stuffs_edit'] = 'Endre modul';
+$lang['stuffs_delete'] = 'Slett modul';
+$lang['stuffs_confirm_delete'] = 'Er du sikker på at du vil slette modul %s?';
+$lang['stuffs_main_block'] = 'Hoved blokk';
+
+$lang['stuffs_add_module'] = 'Legg til ny modul';
+$lang['stuffs_module_config'] = 'Modul konfigurasjon';
+$lang['stuffs_visual_config'] = 'Vis konfigurasjon';
+$lang['stuffs_module_options'] = 'Modul alternativer';
+$lang['stuffs_authorized_group'] = 'Autoriserte grupper';
+$lang['stuffs_authorized_users'] = 'Autoriserte brukere';
+$lang['stuffs_public_module'] = '(Hold tom for almenn modul)';
+$lang['stuffs_show_title'] = 'Vis modul tittel';
+$lang['stuffs_show_module_on'] = 'Vis modul :';
+$lang['stuffs_show_on_home'] = 'På hoved side';
+$lang['stuffs_show_on_cats'] = 'På alle kategori sider';
+$lang['stuffs_show_on_pictures'] = 'På bilde sider';
+$lang['stuffs_no_options'] = 'Ingen alternativer for denne modulen';
+$lang['Hide on home page'] = 'Gjem på hjemme side';
+
+//Messages d'infos
+$lang['stuffs_order_saved'] = 'Rekkefølge lagret.';
+
+
+// Messages d'erreurs
+$lang['stuffs_error_no_mod_selected'] = 'Du valgte / valgte ikke en modul.';
+$lang['stuffs_no_name'] = 'Du må spesifisere modul navn';
+
+//------------------------------------------------------------------------------
+//                            Modul LastComs
+//------------------------------------------------------------------------------
+
+$lang['module_name_lastcoms'] = 'Siste kommentarer';
+$lang['module_desc_lastcoms'] = 'Vis siste postede kommentar';
+
+$lang['lastcoms_no_nb_comments'] = 'Du må spesifisere antall kommentarer.';
+$lang['lastcoms_config'] = 'Konfigurasjon';
+$lang['lastcoms_nb_comments'] = 'Antall kommentarer å vise';
+$lang['lastcoms_show_buttons'] = 'Vis admin knapper';
+$lang['lastcoms_dim'] = 'Miniatyr bilde størrelse';
+$lang['lastcoms_width'] = 'Maks bredde';
+$lang['lastcoms_height'] = 'Maks høyde';
+$lang['lastcoms_nb_cadres'] = 'Antall rammer per linje';
+$lang['lastcoms_taille_cadres'] = 'Ramme høyde';
+
+
+//------------------------------------------------------------------------------
+//                            Modul Logon
+//------------------------------------------------------------------------------
+
+$lang['module_name_logon'] = 'Logg inn';
+$lang['module_desc_logon'] = 'Vis logg inn blokk';
+
+$lang['logon_remove_menubar_block'] = 'Fjern "Hurtig tilkobling" blokken fra menylinjen';
+
+
+//------------------------------------------------------------------------------
+//                            Modul Personal
+//------------------------------------------------------------------------------
+
+$lang['module_name_personal'] = 'Personlig blokk';
+$lang['module_desc_personal'] = 'Vis personlig blokk (Som redigerings bilde)';
+
+$lang['personal_content'] = 'innhold';
+
+
+//------------------------------------------------------------------------------
+//                            Modul Tags
+//------------------------------------------------------------------------------
+
+$lang['module_name_tags'] = 'Tagger';
+$lang['module_desc_tags'] = 'Vis galleri tagger';
+
+$lang['stuffs_tags_default_display'] = 'Tagg visning';
+$lang['stuffs_tags_cloud'] = 'Tagg sky';
+$lang['stuffs_tags_letters'] = 'Gruper alfabetisk';
+$lang['stuffs_tags_cumulus'] = 'Bruk cumulus modus (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tagger Cloud</a> må være installert)';
 
 