Index: /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 8840)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UAM_admin.php	(revision 8841)
@@ -105,5 +105,5 @@
   case 'global':
 
-	if (isset($_POST['submit']) and !is_adviser() and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_No_Comment_Anonymous']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']))
+	if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_No_Comment_Anonymous']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']))
   {
 
@@ -215,9 +215,9 @@
 
   //Testing password enforcement
-  if (isset($_POST['PasswordTest']) and !is_adviser() and isset($_POST['UAM_Password_Test']) and !empty($_POST['UAM_Password_Test']))
+  if (isset($_POST['PasswordTest']) and isset($_POST['UAM_Password_Test']) and !empty($_POST['UAM_Password_Test']))
   {
     $UAM_Password_Test_Score = testpassword($_POST['UAM_Password_Test']);
   }
-  else if (isset($_POST['PasswordTest']) and !is_adviser() and empty($_POST['UAM_Password_Test']))
+  else if (isset($_POST['PasswordTest']) and empty($_POST['UAM_Password_Test']))
   {
     array_push($page['errors'], l10n('reg_err_login3'));
@@ -1002,10 +1002,4 @@
     }
 
-    //Hide radio-button if not allow to assign adviser
-		if ($conf['allow_adviser'])
-    	{
-      	$template->assign('adviser', true);
-    	}
-
 // +-----------------------------------------------------------------------+
 // |                               user list                               |
@@ -1086,6 +1080,5 @@
                                   ? '<BR>['.l10n('is_the_default').']' : ''),
                                   'STATUS' => l10n('user_status_'
-                                  .$local_user['status']).(($local_user['adviser'] == 'true')
-                                  ? '<BR>['.l10n('adviser').']' : ''),
+                                  .$local_user['status']),
 					'EMAIL'            => get_email_address_as_display_text($local_user['email']),
          	'GROUPS'           => $groups_string,
@@ -1344,5 +1337,5 @@
     {
       //Reset is only allowed for admins !
-      if (is_admin() and !is_adviser())
+      if (is_admin())
       {
         $query1 = '
@@ -1412,10 +1405,4 @@
     }
 
-    //Hide radio-button if not allow to assign adviser
-		if ($conf['allow_adviser'])
-    {
-      $template->assign('adviser', true);
-   	}
-
 // +-----------------------------------------------------------------------+
 // |                               user list                               |
Index: /extensions/NBC_UserAdvManager/trunk/admin/template/ghosttracker.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/ghosttracker.tpl	(revision 8840)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/ghosttracker.tpl	(revision 8841)
@@ -1,6 +1,6 @@
-﻿{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
-{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
-{known_script id="jquery.tablesorter" src=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
-{known_script id="jquery.tablesorter.pager" src=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
+﻿{combine_script id="jquery" path=$ROOT_URL|@cat:"themes/default/js/jquery.js"}
+{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
+{combine_script id="jquery.tablesorter" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
+{combine_script id="jquery.tablesorter.pager" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/template/uam.css">{/html_head}
@@ -21,6 +21,5 @@
       .tablesorter({ldelim}sortList:[[4,1]], headers: {ldelim} 0: {ldelim} sorter: false {rdelim}{rdelim}{rdelim})
       .tablesorterPager({ldelim}container: $("#pager"), positionFixed: false, size: 20, totalPages: 0{rdelim});
-    {rdelim} 
-);
+    {rdelim});
 </script>
 
@@ -42,16 +41,16 @@
   <fieldset>
     <legend class="cluetip" title="{'UAM_gtTitle'|translate}|{'UAM_gtTitle_d'|translate}">{'GhostTracker_Title'|@translate}</legend>
-        <table id="sorting" class="table2" width="97%" summary="">
-          <thead>
-            <tr class="throw">
-              <th>&nbsp;</th>
-              <th>{'Username'|@translate}</th>
-              <th>{'Profile'|@translate}</th>
-              <th>{'Email address'|@translate}</th>
-              <th>{'LastVisit_Date'|@translate}</th>
-              <th>{'Reminder'|@translate}</th>
-            </tr>
-          </thead>
-          <tbody>
+      <table id="sorting" class="table2" width="97%" summary="">
+        <thead>
+          <tr class="throw">
+            <th>&nbsp;</th>
+            <th>{'Username'|@translate}</th>
+            <th>{'Profile'|@translate}</th>
+            <th>{'Email address'|@translate}</th>
+            <th>{'LastVisit_Date'|@translate}</th>
+            <th>{'Reminder'|@translate}</th>
+          </tr>
+        </thead>
+        <tbody>
           {foreach from=$users item=user name=users_loop}
             <tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
@@ -73,5 +72,5 @@
           {/foreach}
         </tbody>
-        </table>
+      </table>
 <div id="pager" class="pager">
 	<form>
Index: /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 8840)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/global.tpl	(revision 8841)
@@ -1,4 +1,4 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
-{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
+{combine_script id="jquery" path=$ROOT_URL|@cat:"themes/default/js/jquery.js"}
+{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/template/uam.css">{/html_head}
Index: /extensions/NBC_UserAdvManager/trunk/admin/template/userlist.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/userlist.tpl	(revision 8840)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/userlist.tpl	(revision 8841)
@@ -1,7 +1,6 @@
-﻿{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
-{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
-{known_script id="jquery.tablesorter" src=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
-{known_script id="jquery.tablesorter.pager" src=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
-
+﻿{combine_script id="jquery" path=$ROOT_URL|@cat:"themes/default/js/jquery.js"}
+{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
+{combine_script id="jquery.tablesorter" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
+{combine_script id="jquery.tablesorter.pager" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/template/uam.css">{/html_head}
@@ -25,5 +24,4 @@
 );
 </script>
-
 
 <div class="titrePage">
Index: /extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl	(revision 8840)
+++ /extensions/NBC_UserAdvManager/trunk/admin/template/usermanager.tpl	(revision 8841)
@@ -1,6 +1,6 @@
-﻿{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
-{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
-{known_script id="jquery.tablesorter" src=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
-{known_script id="jquery.tablesorter.pager" src=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
+﻿{combine_script id="jquery" path=$ROOT_URL|@cat:"themes/default/js/jquery.js"}
+{combine_script id="jquery.cluetip" path=$ROOT_URL|@cat:"themes/default/js/plugins/jquery.cluetip.packed.js"}
+{combine_script id="jquery.tablesorter" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.js"}
+{combine_script id="jquery.tablesorter.pager" path=$UAM_PATH|@cat:"admin/template/js/jquery.tablesorter.pager.js"}
 
 {html_head}<link rel="stylesheet" type="text/css" href="{$UAM_PATH}admin/template/uam.css">{/html_head}
Index: /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 8840)
+++ /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 8841)
@@ -1769,5 +1769,4 @@
                 u.'.$conf['user_fields']['email'].' AS email,
                 ui.status,
-                ui.adviser,
                 ui.enabled_high,
                 ui.level,