Index: /extensions/Register_FluxBB/trunk/admin/admin.php
===================================================================
--- /extensions/Register_FluxBB/trunk/admin/admin.php	(revision 8841)
+++ /extensions/Register_FluxBB/trunk/admin/admin.php	(revision 8842)
@@ -115,19 +115,16 @@
       $msg_error_FluxBB_Dup .= '<br>id:'.$subrow['id'].'='.stripslashes($subrow['username']).' ('.$subrow['email'].')';
   
-      if ( !is_adviser() )
-      {
-        $msg_error_FluxBB_Dup .= ' <a href="';
+      $msg_error_FluxBB_Dup .= ' <a href="';
       
-        $msg_error_FluxBB_Dup .= add_url_params($page_Register_FluxBB_admin, array(
-          'action' => 'del_user',
-          'id' => $subrow['id'],
-        ));
+      $msg_error_FluxBB_Dup .= add_url_params($page_Register_FluxBB_admin, array(
+        'action' => 'del_user',
+        'id' => $subrow['id'],
+      ));
         
-        $msg_error_FluxBB_Dup .= '" title="'.l10n('Del_User').stripslashes($subrow['username']).'"';
+      $msg_error_FluxBB_Dup .= '" title="'.l10n('Del_User').stripslashes($subrow['username']).'"';
         
-        $msg_error_FluxBB_Dup .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+      $msg_error_FluxBB_Dup .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
         
-        $msg_error_FluxBB_Dup .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').$subrow['username'].'" /></a>';
-      }
+      $msg_error_FluxBB_Dup .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').$subrow['username'].'" /></a>';
     }
   }
@@ -161,20 +158,17 @@
     $msg_error_Link_Break .= '<br>'.l10n('Error_Link_Break').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')';
 
-    if ( !is_adviser() )
-    {
-      $msg_error_Link_Break .= ' <a href="';
-  
-      $msg_error_Link_Break .= add_url_params($page_Register_FluxBB_admin, array(
-        'action'   => 'new_link',
-        'pwg_id' => $row['pwg_id'],
-        'bb_id' => $row['bb_id'],
-      ));
-      
-      $msg_error_Link_Break .= '" title="'.l10n('New_Link').stripslashes($row['pwg_user']).'"';
-      
-      $msg_error_Link_Break .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-      $msg_error_Link_Break .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_break.png" alt="'.l10n('New_Link').stripslashes($row['pwg_user']).'" /></a>';
-    }
+    $msg_error_Link_Break .= ' <a href="';
+  
+    $msg_error_Link_Break .= add_url_params($page_Register_FluxBB_admin, array(
+      'action'   => 'new_link',
+      'pwg_id' => $row['pwg_id'],
+      'bb_id' => $row['bb_id'],
+    ));
+
+    $msg_error_Link_Break .= '" title="'.l10n('New_Link').stripslashes($row['pwg_user']).'"';
+
+    $msg_error_Link_Break .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+    $msg_error_Link_Break .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_break.png" alt="'.l10n('New_Link').stripslashes($row['pwg_user']).'" /></a>';
   }
 
@@ -200,33 +194,30 @@
     $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Del').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')'.' -- '.stripslashes($row['bb_user']).' ('.$row['bb_mail'].')';
 
-    if ( !is_adviser() )
-    {
-      $msg_error_Link_Bad .= ' <a href="';
-  
-      $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
-        'action'   => 'link_del',
-        'pwg_id' => $row['pwg_id'],
-        'bb_id'  => $row['bb_id'],
-      ));
-      
-      $msg_error_Link_Bad .= '" title="'.l10n('Link_Del').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'"';
-      
-      $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-      
-      $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_delete.png" alt="'.l10n('Link_Del').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'" /></a>';
-
-      $msg_error_Link_Bad .= ' -- <a href="';
-
-      $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
-        'action' => 'sync_user',
-        'username' => stripslashes($row['pwg_user']),
-      ));
-      
-      $msg_error_Link_Bad .= '" title="'.l10n('Sync_User').stripslashes($row['pwg_user']).' --> '.stripslashes($row['bb_user']).'"';
-      
-      $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-      
-      $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/arrow_switch.png" alt="'.l10n('Sync_User').stripslashes($row['pwg_user']).' --> '.stripslashes($row['bb_user']).'" /></a>';
-    }
+    $msg_error_Link_Bad .= ' <a href="';
+  
+    $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
+      'action'   => 'link_del',
+      'pwg_id' => $row['pwg_id'],
+      'bb_id'  => $row['bb_id'],
+    ));
+
+    $msg_error_Link_Bad .= '" title="'.l10n('Link_Del').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'"';
+
+    $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+    $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_delete.png" alt="'.l10n('Link_Del').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'" /></a>';
+
+    $msg_error_Link_Bad .= ' -- <a href="';
+
+    $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
+      'action' => 'sync_user',
+      'username' => stripslashes($row['pwg_user']),
+    ));
+
+    $msg_error_Link_Bad .= '" title="'.l10n('Sync_User').stripslashes($row['pwg_user']).' --> '.stripslashes($row['bb_user']).'"';
+
+    $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+    $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/arrow_switch.png" alt="'.l10n('Sync_User').stripslashes($row['pwg_user']).' --> '.stripslashes($row['bb_user']).'" /></a>';
   }
 
@@ -251,18 +242,15 @@
     $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Dead').$Compteur['nbr_dead'];
 
-    if ( !is_adviser() )
-    {
-      $msg_error_Link_Bad .= ' <a href="';
-  
-      $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
-        'action'   => 'link_dead',
-      ));
-      
-      $msg_error_Link_Bad .= '" title="'.l10n('Link_Dead').$Compteur['nbr_dead'].'"';
-      
-      $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-      
-      $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_delete.png" alt="'.l10n('Link_Dead').$Compteur['nbr_dead'].'" /></a>';
-    }
+    $msg_error_Link_Bad .= ' <a href="';
+
+    $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
+      'action'   => 'link_dead',
+    ));
+
+    $msg_error_Link_Bad .= '" title="'.l10n('Link_Dead').$Compteur['nbr_dead'].'"';
+
+    $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+    $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_delete.png" alt="'.l10n('Link_Dead').$Compteur['nbr_dead'].'" /></a>';
   }
 
@@ -282,20 +270,17 @@
     $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Dup').$row['nbr_dup'].' = '.stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).')';
 
-    if ( !is_adviser() )
-    {
-      $msg_error_Link_Bad .= ' <a href="';
-
-      $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
-        'action'   => 'new_link',
-        'pwg_id' => $row['pwg_id'],
-        'bb_id' => $row['bb_id'],
-      ));
-      
-      $msg_error_Link_Bad .= '" title="'.l10n('Link_Dup').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'"';
-      
-      $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-      
-      $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_error.png" alt="'.l10n('Link_Dup').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'" /></a>';
-    }      
+    $msg_error_Link_Bad .= ' <a href="';
+
+    $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
+      'action'   => 'new_link',
+      'pwg_id' => $row['pwg_id'],
+      'bb_id' => $row['bb_id'],
+    ));
+
+    $msg_error_Link_Bad .= '" title="'.l10n('Link_Dup').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'"';
+
+    $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+    $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_error.png" alt="'.l10n('Link_Dup').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'" /></a>';
   }
 
@@ -324,22 +309,20 @@
       $msg_error_Synchro .= '<br>'.l10n('Error_Synchro').stripslashes($row['username']);
 
-      if ( !is_adviser() )
-      {
-        $msg_error_Synchro .= ' <a href="';
-  
-        $msg_error_Synchro .= add_url_params($page_Register_FluxBB_admin, array(
-          'action' => 'sync_user',
-          'username' => stripslashes($row['username']),
-        ));
-        
-        $msg_error_Synchro .= '" title="'.l10n('Sync_User').stripslashes($row['username']).'"';
-        
-        $msg_error_Synchro .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-        $msg_error_Synchro .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_refresh.png" alt="'.l10n('Sync_User').stripslashes($row['username']).'" /></a>';
-      }
-      
+      $msg_error_Synchro .= ' <a href="';
+
+      $msg_error_Synchro .= add_url_params($page_Register_FluxBB_admin, array(
+        'action' => 'sync_user',
+        'username' => stripslashes($row['username']),
+      ));
+
+      $msg_error_Synchro .= '" title="'.l10n('Sync_User').stripslashes($row['username']).'"';
+
+      $msg_error_Synchro .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+      $msg_error_Synchro .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_refresh.png" alt="'.l10n('Sync_User').stripslashes($row['username']).'" /></a>';
+
       if ($row['pwg_pwd'] != $row['bb_pwd'])
         $msg_error_Synchro .= '<br>'.l10n('Error_Synchro_Pswd');
-      
+
       if ($row['pwg_eml'] != $row['bb_eml'])
         $msg_error_Synchro .= '<br>'.l10n('Error_Synchro_Mail').'<br>-- PWG = '.$row['pwg_eml'].'<br>-- FluxBB = '.$row['bb_eml'];
@@ -377,19 +360,16 @@
     $msg_error_PWG2FluxBB .= '<br>'.l10n('Error_PWG2FluxBB').stripslashes($row['username']).' ('.$row['mail_address'].')';
 
-    if ( !is_adviser() )
-    {
-      $msg_error_PWG2FluxBB .= ' <a href="';
-
-      $msg_error_PWG2FluxBB .= add_url_params($page_Register_FluxBB_admin, array(
-        'action' => 'add_user',
-        'username' => stripslashes($row['username']),
-      ));
-      
-      $msg_error_PWG2FluxBB .= '" title="'.l10n('Add_User').stripslashes($row['username']).'" ';
-      
-      $msg_error_PWG2FluxBB .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-      $msg_error_PWG2FluxBB .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_add.png" alt="'.l10n('Add_User').stripslashes($row['username']).'" /></a>';
-    }
+    $msg_error_PWG2FluxBB .= ' <a href="';
+
+    $msg_error_PWG2FluxBB .= add_url_params($page_Register_FluxBB_admin, array(
+      'action' => 'add_user',
+      'username' => stripslashes($row['username']),
+    ));
+
+    $msg_error_PWG2FluxBB .= '" title="'.l10n('Add_User').stripslashes($row['username']).'" ';
+
+    $msg_error_PWG2FluxBB .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+    $msg_error_PWG2FluxBB .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_add.png" alt="'.l10n('Add_User').stripslashes($row['username']).'" /></a>';
   }
 
@@ -419,19 +399,16 @@
     $msg_error_FluxBB2PWG .= '<br>'.l10n('Error_FluxBB2PWG').stripslashes($row['username']).' ('.$row['email'].')';
 
-    if ( !is_adviser() )
-    {
-      $msg_error_FluxBB2PWG .= ' <a href="';
-    
-      $msg_error_FluxBB2PWG .= add_url_params($page_Register_FluxBB_admin, array(
-        'action' => 'del_user',
-        'id' => $row['id'],
-      ));
-      
-      $msg_error_FluxBB2PWG .= '" title="'.l10n('Del_User').stripslashes($row['username']).'"';
-      
-      $msg_error_FluxBB2PWG .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-      $msg_error_FluxBB2PWG .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($row['username']).'" /></a>';
-    }
+    $msg_error_FluxBB2PWG .= ' <a href="';
+
+    $msg_error_FluxBB2PWG .= add_url_params($page_Register_FluxBB_admin, array(
+      'action' => 'del_user',
+      'id' => $row['id'],
+    ));
+
+    $msg_error_FluxBB2PWG .= '" title="'.l10n('Del_User').stripslashes($row['username']).'"';
+
+    $msg_error_FluxBB2PWG .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+    $msg_error_FluxBB2PWG .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($row['username']).'" /></a>';
   }
 
@@ -472,5 +449,5 @@
 // +-----------------------------------------------------------------------+
 
-if ( isset($_GET['action']) and ($_GET['action']=='link_dead') and !is_adviser() )
+if (isset($_GET['action']) and ($_GET['action']=='link_dead'))
 {
   $query = "
@@ -490,5 +467,5 @@
   Audit_PWG_FluxBB();
 }
-else if ( isset($_GET['action']) and ($_GET['action']=='link_del') and isset($_GET['pwg_id']) and isset($_GET['bb_id']) and !is_adviser() )
+else if (isset($_GET['action']) and ($_GET['action']=='link_del') and isset($_GET['pwg_id']) and isset($_GET['bb_id']))
 {
   $query = "
@@ -502,5 +479,5 @@
   Audit_PWG_FluxBB();
 }
-else if ( isset($_GET['action']) and ($_GET['action']=='new_link') and isset($_GET['pwg_id']) and isset($_GET['bb_id']) and !is_adviser() )
+else if (isset($_GET['action']) and ($_GET['action']=='new_link') and isset($_GET['pwg_id']) and isset($_GET['bb_id']))
 {
   FluxBB_Linkuser($_GET['pwg_id'], $_GET['bb_id']);
@@ -508,5 +485,5 @@
   Audit_PWG_FluxBB();
 }
-else if ( isset($_GET['action']) and ($_GET['action']=='sync_user') and isset($_GET['username']) and !is_adviser() )
+else if (isset($_GET['action']) and ($_GET['action']=='sync_user') and isset($_GET['username']))
 {
   $query = "
@@ -526,5 +503,5 @@
   Audit_PWG_FluxBB();
 }
-else if ( isset($_GET['action']) and ($_GET['action']=='add_user') and isset($_GET['username']) and !is_adviser() )
+else if (isset($_GET['action']) and ($_GET['action']=='add_user') and isset($_GET['username']))
 {
   $query = "
@@ -542,5 +519,5 @@
     Audit_PWG_FluxBB();
 }
-else if ( isset($_GET['action']) and ($_GET['action']=='del_user') and isset($_GET['id']) and !is_adviser() )
+else if (isset($_GET['action']) and ($_GET['action']=='del_user') and isset($_GET['id']))
 {
   FluxBB_Deluser( $_GET['id'], true );
@@ -572,5 +549,5 @@
 	case 'manage':
   
-  if (isset($_POST['submit']) and !is_adviser() and isset($_POST['FluxBB_prefix']) and isset($_POST['FluxBB_admin']) and isset($_POST['FluxBB_guest']) and isset($_POST['FluxBB_del_pt']) and isset($_POST['FluxBB_confirm']) and isset($_POST['FluxBB_details']))
+  if (isset($_POST['submit']) and isset($_POST['FluxBB_prefix']) and isset($_POST['FluxBB_admin']) and isset($_POST['FluxBB_guest']) and isset($_POST['FluxBB_del_pt']) and isset($_POST['FluxBB_confirm']) and isset($_POST['FluxBB_details']))
   {
 
@@ -699,5 +676,5 @@
   $conf_Register_FluxBB = isset($conf['Register_FluxBB']) ? explode(";" , $conf['Register_FluxBB']) : array();
 	
-  if ( isset($_POST['Migration']) and !is_adviser() )
+  if (isset($_POST['Migration']))
   {
     array_push($page['infos'], l10n('Mig_Start').'<br><br>');
@@ -793,5 +770,5 @@
 	case 'Synchro':
   
-  if ( isset($_POST['Synchro']) and !is_adviser() )
+  if ( isset($_POST['Synchro']))
   {
     global $page,$conf, $errors;
@@ -853,19 +830,16 @@
         $msg_error_FluxBB_Dup .= '<br>id:'.$subrow['id'].'='.stripslashes($subrow['username']).' ('.$subrow['email'].')';
   
-        if ( !is_adviser() )
-        {
-          $msg_error_FluxBB_Dup .= ' <a href="';
+        $msg_error_FluxBB_Dup .= ' <a href="';
       
-          $msg_error_FluxBB_Dup .= add_url_params($page_Register_FluxBB_admin, array(
-            'action' => 'del_user',
-            'id' => $subrow['id'],
-          ));
-
-          $msg_error_FluxBB_Dup .= '" title="'.l10n('Del_User').stripslashes($subrow['username']).'"';
-
-          $msg_error_FluxBB_Dup .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-          $msg_error_FluxBB_Dup .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($subrow['username']).'" /></a>';
-        }
+        $msg_error_FluxBB_Dup .= add_url_params($page_Register_FluxBB_admin, array(
+          'action' => 'del_user',
+          'id' => $subrow['id'],
+        ));
+
+        $msg_error_FluxBB_Dup .= '" title="'.l10n('Del_User').stripslashes($subrow['username']).'"';
+
+        $msg_error_FluxBB_Dup .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+        $msg_error_FluxBB_Dup .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($subrow['username']).'" /></a>';
       }
     }
@@ -1081,19 +1055,16 @@
         $msg_error_FluxBB2PWG .= '<br>'.l10n('Error_FluxBB2PWG').stripslashes($row['username']).' ('.$row['email'].')';
   
-        if ( !is_adviser() )
-        {
-          $msg_error_FluxBB2PWG .= ' <a href="';
+        $msg_error_FluxBB2PWG .= ' <a href="';
       
-          $msg_error_FluxBB2PWG .= add_url_params($page_Register_FluxBB_admin, array(
-            'action' => 'del_user',
-            'id' => $row['id'],
-          ));
-
-          $msg_error_FluxBB2PWG .= '" title="'.l10n('Del_User').stripslashes($row['username']).'"';
-
-          $msg_error_FluxBB2PWG .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-          $msg_error_FluxBB2PWG .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($row['username']).'" /></a>';
-        }
+        $msg_error_FluxBB2PWG .= add_url_params($page_Register_FluxBB_admin, array(
+          'action' => 'del_user',
+          'id' => $row['id'],
+        ));
+
+        $msg_error_FluxBB2PWG .= '" title="'.l10n('Del_User').stripslashes($row['username']).'"';
+
+        $msg_error_FluxBB2PWG .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+        $msg_error_FluxBB2PWG .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($row['username']).'" /></a>';
       }
   